package com.ssj.bean.sys.orgclass;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_lib_vip_bind_class_temp")
public class VipBindClassTemp extends BaseEntity {
	private static final long serialVersionUID = 890135943022798129L;
    /**
     * 学生id
     */
    private String vipId;
    /**
     * 学生姓名
     */
    private String childName;
    /**
     * 年级
     */
    private String grade;
    /**
     * 学校
     */
    private String school;
    /**
     * 班级
     */
    private String schoolClass;
    /**
     * 家长姓名
     */
    private String parentName;
    /**
     * 老师id
     */
    private String teacherId;
    /**
     * 老师名字
     */
    private String teacherName;
    /**
     * 老师电话
     */
    private String teacherPhone;
    /**
     * 科目
     */
    private String subject;
    /**
     * 机构名
     */
    private String orgName;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 导入状态(校验成功：CHECK_SUCCESS；校验失败：CHECK_FAIL；导入成功：IMPORT_SUCCESS；导入失败：IMPORT_FAIL)
     */
    private String status;
    /**
     * 失败原因
     */
    private String errorReason;

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSchoolClass() {
        return schoolClass;
    }

    public void setSchoolClass(String schoolClass) {
        this.schoolClass = schoolClass;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherPhone() {
        return teacherPhone;
    }

    public void setTeacherPhone(String teacherPhone) {
        this.teacherPhone = teacherPhone;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrorReason() {
        return errorReason;
    }

    public void setErrorReason(String errorReason) {
        this.errorReason = errorReason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
